org.eclipse.net4j.db.ddl

## Interface IDBField

- All Superinterfaces:
    Comparable<IDBSchemaElement>, IContainer<IDBSchemaElement>, IDBElement, IDBNamedElement, IDBSchemaElement, INotifier, PositionProvider
  All Known Subinterfaces:
    InternalDBField

      public interface IDBField
      extends IDBSchemaElement, PositionProvider

  A field (column) specification in a `DB table`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `IDBSchemaElement.SchemaElementType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `formatPrecision()`
    `String` | `formatPrecisionAndScale()`
    `String` | `getFullName()`
    `IDBTable` | `getParent()`
    `int` | `getPrecision()`
    `int` | `getScale()`
    `IDBTable` | `getTable()`
    `DBType` | `getType()`
    `boolean` | `isNotNull()`
    `void` | `setNotNull(boolean notNull)`
    `void` | `setPrecision(int precision)`
    `void` | `setScale(int scale)`
    `void` | `setType(DBType type)`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `accept, getElement, getSchema, getSchemaElementType, remove, setName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

      `getPosition`

- - ### Field Detail

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParent

          IDBTable getParent()

      Specified by:
        `getParent` in interface `IDBSchemaElement`
      Since:
        4.2

    - #### getTable

          IDBTable getTable()

    - #### getType

          DBType getType()

    - #### setType

          void setType(DBType type)

    - #### getPrecision

          int getPrecision()

    - #### setPrecision

          void setPrecision(int precision)

    - #### getScale

          int getScale()

    - #### setScale

          void setScale(int scale)

    - #### isNotNull

          boolean isNotNull()

    - #### setNotNull

          void setNotNull(boolean notNull)

    - #### getFullName

          String getFullName()

      Specified by:
        `getFullName` in interface `IDBSchemaElement`

    - #### formatPrecision

          String formatPrecision()

    - #### formatPrecisionAndScale

          String formatPrecisionAndScale()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html